Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform.sax
Class SAXSource

    java.lang.Object
      |
      +--javax.xml.transform.sax.SAXSource

All Implemented Interfaces:
  Source

public class SAXSource
extends java.lang.Object
implements Source

Source for a SAX parser.

Field Summary
`static java.lang.String` | `FEATURE` The feature name to tell if the transformer can handle sax input.

Constructor Summary
`SAXSource()` Zero-arg constructor.
`SAXSource(org.xml.sax.InputSource source)` Create a SAXSource with a given SAX InputSource.
`SAXSource(org.xml.sax.XMLReader reader, org.xml.sax.InputSource source)` Create a SAXSource with a given SAX InputSource and SAX reader

Method Summary
`org.xml.sax.InputSource` | `getInputSource()` Returns the SAX InputSource.
`java.lang.String` | `getSystemId()` Returns the system identifier (URL).
`org.xml.sax.XMLReader` | `getXMLReader()` Returns the SAX parser.
`void` | `setInputSource(org.xml.sax.InputSource source)` Sets the SAX InputSource.
`void` | `setSystemId(java.lang.String systemId)` Sets the system identifier (URL).
`void` | `setXMLReader(org.xml.sax.XMLReader reader)` Sets the system identifier (URL).
`static org.xml.sax.InputSource` | `sourceToInputSource(Source source)` Get an InputSource from the source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FEATURE

    public static final java.lang.String FEATURE

  The feature name to tell if the transformer can handle sax input.

Constructor Detail

### SAXSource

    public SAXSource()

  Zero-arg constructor.

### SAXSource

    public SAXSource(org.xml.sax.InputSource source)

  Create a SAXSource with a given SAX InputSource.
  Parameters:
    `source` - the source file for a SAX parser.

### SAXSource

    public SAXSource(org.xml.sax.XMLReader reader,
                     org.xml.sax.InputSource source)

  Create a SAXSource with a given SAX InputSource and SAX reader
  Parameters:
    `reader` - the SAX parser.
    `source` - the source file for a SAX parser.

Method Detail

### getInputSource

    public org.xml.sax.InputSource getInputSource()

  Returns the SAX InputSource.

### setInputSource

    public void setInputSource(org.xml.sax.InputSource source)

  Sets the SAX InputSource.

### getSystemId

    public java.lang.String getSystemId()

  Returns the system identifier (URL).
  Specified by:
    `getSystemId` in interface `Source`
  Following copied from interface: `javax.xml.transform.Source`
  Returns:
    the system id as a URL

### setSystemId

    public void setSystemId(java.lang.String systemId)

  Sets the system identifier (URL).
  Specified by:
    `setSystemId` in interface `Source`
  Following copied from interface: `javax.xml.transform.Source`
  Parameters:
    `systemId` - set the system id as a URL

### getXMLReader

    public org.xml.sax.XMLReader getXMLReader()

  Returns the SAX parser.

### setXMLReader

    public void setXMLReader(org.xml.sax.XMLReader reader)

  Sets the system identifier (URL).

### sourceToInputSource

    public static org.xml.sax.InputSource sourceToInputSource(Source source)

  Get an InputSource from the source.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD